Skip to main content
GET
/
v1
/
batches
Error
A valid request URL is required to generate request examples
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "endpoint": "<string>",
      "input_file_id": "<string>",
      "completion_window": "<string>",
      "request_counts": {
        "total": 123,
        "completed": 123,
        "failed": 123,
        "succeeded": 123,
        "expired": 123,
        "canceled": 123,
        "pending": 123
      },
      "metadata": {},
      "created_at": 123,
      "expires_at": 123,
      "in_progress_at": 123,
      "finalizing_at": 123,
      "completed_at": 123,
      "failed_at": 123,
      "expired_at": 123,
      "cancelling_at": 123,
      "cancelled_at": 123,
      "output_file_id": "<string>",
      "error_file_id": "<string>",
      "errors": {
        "object": "<string>",
        "data": [
          {
            "code": "<string>",
            "message": "<string>",
            "param": "<string>",
            "line": 123
          }
        ]
      },
      "processing_status": "<string>",
      "results_url": "<string>",
      "archived_at": 123,
      "operation_name": "<string>",
      "done": true,
      "progress": 123,
      "extra_fields": {
        "request_type": "<string>",
        "model_requested": "<string>",
        "model_deployment": "<string>",
        "latency": 123,
        "chunk_index": 123,
        "raw_request": {},
        "raw_response": {},
        "cache_debug": {
          "cache_hit": true,
          "cache_id": "<string>",
          "hit_type": "<string>",
          "requested_provider": "<string>",
          "requested_model": "<string>",
          "provider_used": "<string>",
          "model_used": "<string>",
          "input_tokens": 123,
          "threshold": 123,
          "similarity": 123
        }
      }
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true,
  "next_cursor": "<string>",
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

provider
enum<string>
required

Provider to list batches for AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks
limit
integer

Maximum number of batches to return

Required range: x >= 1
after
string

Cursor for pagination

before
string

Cursor for pagination

Response

Successful response

object
string
data
object[]
first_id
string
last_id
string
has_more
boolean
next_cursor
string
extra_fields
object

Additional fields included in responses